### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
InterpolatedDefaultDensityCurve< Interpolator > Class Template Reference

DefaultProbabilityTermStructure based on interpolation of default densities. More...

`#include <ql/termstructures/credit/interpolateddefaultdensitycurve.hpp>`

Inheritance diagram for InterpolatedDefaultDensityCurve< Interpolator >:
[legend]

List of all members.

## Public Member Functions

| InterpolatedDefaultDensityCurve (const std::vector< Date > &dates, const std::vector< Real > &densities, const DayCounter &dayCounter, const Calendar &calendar=Calendar(), const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >(), const Interpolator &interpolator=Interpolator())
| InterpolatedDefaultDensityCurve (const std::vector< Date > &dates, const std::vector< Real > &densities, const DayCounter &dayCounter, const Calendar &calendar, const Interpolator &interpolator)
| InterpolatedDefaultDensityCurve (const std::vector< Date > &dates, const std::vector< Real > &densities, const DayCounter &dayCounter, const Interpolator &interpolator)
TermStructure interface
Date | maxDate () const
| the latest date for which the curve can return values
other inspectors
const std::vector< Time > & | times () const
const std::vector< Date > & | dates () const
const std::vector< Real > & | data () const
const std::vector< Real > & | defaultDensities () const
std::vector< std::pair< Date, Real > > | nodes () const

## Protected Member Functions

| InterpolatedDefaultDensityCurve (const DayCounter &, const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >(), const Interpolator &interpolator=Interpolator())
| InterpolatedDefaultDensityCurve (const Date &referenceDate, const DayCounter &, const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >(), const Interpolator &interpolator=Interpolator())
| InterpolatedDefaultDensityCurve (Natural settlementDays, const Calendar &, const DayCounter &, const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >(), const Interpolator &interpolator=Interpolator())
DefaultDensityStructure implementation
Real | defaultDensityImpl (Time) const
| default density calculation
Probability | survivalProbabilityImpl (Time) const
| survival probability calculation

## Protected Attributes

std::vector< Date > | dates_

## Detailed Description

### template<class Interpolator>
class QuantLib::InterpolatedDefaultDensityCurve< Interpolator >

DefaultProbabilityTermStructure based on interpolation of default densities.

## Member Function Documentation

Probability survivalProbabilityImpl | ( | Time |  | ) | const`[protected, virtual]`

survival probability calculation

implemented in terms of the default density as

Warning:
  This default implementation uses numerical integration, which might be inefficient and inaccurate. Derived classes should override it if a more efficient implementation is available.

Reimplemented from DefaultDensityStructure.